#include "stdafx.h"
#include "MinhaString.h"

MinhaString::MinhaString(const char* s)
:tamanho( strlen( s ) )
{
    setString( s );
}

MinhaString::~MinhaString() 
{
	delete [] sPtr;
}

void MinhaString::setString(const char* s)
{
	sPtr = new char[ tamanho + 1 ]; 
	strcpy ( sPtr, s );
}

const char* MinhaString::getString()
{
	return sPtr;
}

void MinhaString::operator = (const char* s)
{
	if ( s != sPtr )
	{
		delete [] sPtr;
		tamanho = strlen (s);
		setString( s );
	}
}

void MinhaString::operator = (MinhaString& s)
{
	operator = (s.getString());
}

bool MinhaString::operator == (MinhaString& s)
{
	if ( 0 == strcmp ( sPtr, s.getString() ) )
	{
		return true;
	}
	else
	{
		return false;
	}
}