#include "stdafx.h"
#include "MinhaString.h"

const char MinhaString::nomeclasse[12] = "MinhaString";
int MinhaString::teste = 0;

const char* MinhaString::getNomeClasse()
{
    return nomeclasse;
}

MinhaString::MinhaString(const char* s)
:tamanho( strlen( s ) )
{
    setString( s );
}

MinhaString::~MinhaString() 
{
	delete [] sPtr;
}

void MinhaString::setString(const char* s)
{
	sPtr = new char[ tamanho + 1 ]; 
	strcpy ( sPtr, s );
}

const char* MinhaString::getString() const
{
	return sPtr;
}

void MinhaString::operator = (const char* s)
{
	if ( s != sPtr )
	{
		delete [] sPtr;
		tamanho = strlen (s);
		setString( s );
	}
}

void MinhaString::operator = (MinhaString& s)
{
	operator = (s.getString());
}

bool MinhaString::operator == (MinhaString& s)
{
	if ( 0 == strcmp ( sPtr, s.getString() ) )
	{
		return true;
	}
	else
	{
		return false;
	}
}

void MinhaString::setTeste(int i)
{
	teste = i;
}

int MinhaString::getTeste()
{
	return teste;
}

void MinhaString::soUmTeste()
{
	
}

// Operador de Sada sobrecarregado.
ostream &operator<<(ostream &saida, MinhaString& s)
{
	saida << s.getString();
	return saida;   // possibilita encadeamento
}
