
#ifndef _MINHASTRING_H_
#define _MINHASTRING_H_

class MinhaString
{
public:
	friend ostream &operator<<(ostream &saida, MinhaString& s);

public:
	MinhaString() { } 
	MinhaString (const char* s = "");
	// MinhaString () { teste = 0; } 
	~MinhaString();
	const char* getString() const;
    
	// Sobre carga de operadores
	void operator = (const char* s);
	void operator = (MinhaString& s);

	bool operator == (MinhaString& s);

	static const char* getNomeClasse();
	
	void setTeste(int i);
	static int getTeste();
	static void soUmTeste();

	static int teste;

	//void testeFunc( int a) const { cout << a << endl; }
	//void testeFunc( int a, int b) const {  cout << a << b << endl; }
	
private:
	void setString( const char* s );

private:
	int tamanho;
	char* sPtr; // Ponteiro para o nicio do string.

	static const char nomeclasse[12];
	
};

#endif