#include "stdafx.h"
#include "MinhaString.h"
using namespace MinhasClasses;

const char MinhasListas::MinhaString::nomeclasse[12] = "MinhaString";

const char* MinhasListas::MinhaString::getNomeClasse()
{
    return nomeclasse;
}

MinhasListas::MinhaString::MinhaString(const char* s)
:tamanho( strlen( s ) )
{
    setString( s );
}

MinhasListas::MinhaString::~MinhaString() 
{
	delete [] sPtr;
}

void MinhasListas::MinhaString::setString(const char* s)
{
	sPtr = new char[ tamanho + 1 ]; 
	strcpy ( sPtr, s );
}

const char* MinhasListas::MinhaString::getString() const
{
	return sPtr;
}

void MinhasListas::MinhaString::operator = (const char* s)
{
	if ( s != sPtr )
	{
		delete [] sPtr;
		tamanho = strlen (s);
		setString( s );
	}
}

void MinhasListas::MinhaString::operator = (MinhaString& s)
{
	operator = (s.getString());
}

bool MinhasListas::MinhaString::operator == (MinhaString& s)
{
	if ( 0 == strcmp ( sPtr, s.getString() ) )
	{
		return true;
	}
	else
	{
		return false;
	}
}
