#include "stdafx.h"
#include "MinhaString.h"

MinhaString::MinhaString(const char* s)
:tamanho( strlen( s ) )
{
    setString( s );
}

MinhaString::~MinhaString() 
{
	delete [] sPtr;
}

void MinhaString::setString(const char* s)
{
	sPtr = new char[ tamanho + 1 ];  // sPtr = malloc( (tamanho +1) * sizeof(char) )
	strcpy ( sPtr, s );
}

const char* MinhaString::getString()
{
	return sPtr;
}

void MinhaString::operator= (char* s)
{
	if ( s != sPtr )
	{
		delete [] sPtr;
		tamanho = strlen (s);
		setString( s );
	}
}

