
#ifndef _MINHASTRING_H_
#define _MINHASTRING_H_

class MinhaString
{
public:
	friend ostream &operator<<(ostream &saida, MinhaString& s);

public:
	MinhaString() { } 
	MinhaString (const char* s = "");
	~MinhaString();
	const char* getString() const;
    
	// Sobre carga de operadores
	void operator = (const char* s);
	void operator = (MinhaString& s);

	bool operator == (MinhaString& s);


private:
	void setString( const char* s );

private:
	int tamanho;
	char* sPtr; // Ponteiro para o nicio do string.
};

#endif