
#ifndef _MINHASTRING_H_
#define _MINHASTRING_H_

namespace MinhasClasses
{
  class MinhasListas
  { 
    private: 
		int quantclasses;
	public:
		MinhasListas(int qc = 1) { quantclasses = 1; }
		int getQuantClasses() { return quantclasses; }
		class MinhaString
		{
			public:
				MinhaString() { } 
    			MinhaString (const char* s = "");
				~MinhaString();
				const char* getString() const;
    
				// Sobre carga de operadores
				void operator = (const char* s);
				void operator = (MinhaString& s);

    			bool operator == (MinhaString& s);

				const static char* getNomeClasse();

			//private:
				void setString( const char* s );

			private:
    			int tamanho;
				char* sPtr; // Ponteiro para o nicio do string.

				static const char nomeclasse[12];
		};
   };
}

#endif